#!/bin/python

## returns a valid tileset

import tcod.tileset

def valid_tileset():
    tileset = tcod.tileset.load_tilesheet(
        "data/Bmac_smooth_16x24.png", columns=16, rows=16, charmap=tcod.tileset.CHARMAP_CP437
        # "Oryx/oryx_roguelike_2.0/V1/oryx_roguelike_16x24_only_heroes.png", columns=19, rows=10, charmap=tcod.tileset.CHARMAP_CP437
    )

    monstertiles = tcod.tileset.load_tilesheet(
        "Oryx/oryx_roguelike_2.0/Monsters.png", columns=19, rows=26, charmap=tcod.tileset.CHARMAP_CP437
    )

    terraintiles = tcod.tileset.load_tilesheet(
        "Oryx/oryx_roguelike_2.0/Terrain.png", columns=16, rows=11, charmap=tcod.tileset.CHARMAP_CP437
    )

    tileset.set_tile(ord('@'), monstertiles.get_tile(1))
    tileset.set_tile(ord('/'), terraintiles.get_tile(ord('?')))
    tileset.set_tile(ord('|'), terraintiles.get_tile(ord('!')))
    tileset.set_tile(ord('_'), terraintiles.get_tile(ord('0')))
    tileset.set_tile(ord('\\'), terraintiles.get_tile(ord('/')))
    tileset.set_tile(ord('.'), terraintiles.get_tile(2))
    tileset.set_tile(ord(','), terraintiles.get_tile(11))
    return tileset
